DeleteVolumeBackup
DeleteVolumeBackup
DELETE
/zstack/v1/volume-backups/{uuid}Operation ID
DeleteVolumeBackupSince
2.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe UUID of the volume backup.
backupStorageUuidsListOptional. The UUIDs of the backup storage.
deleteModeStringOptional. The mode under which the backup is deleted.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
handleDependencybooleanOptional. whether to handle dependency when deleting volume backup.
Responses
200 OKDELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}